/*
	File:		Application.r

	Contains:	Resources used by the TApplication class

	This module derived from the Apple Shared Library Manager
	sample source code supplied with ASLM 1.1 (note that ASLM
	is NOT required for, or used in, this project).
	
	Developed by:	
		
		Paul G Smith (commstalk hq & Full Moon Software, Inc)
		
		you can leave messages at (UK): 0727 844232; (US): 408 253 7199
		BUT I prefer to be contacted by e-mail
		AppleLink: 	SMITH.PG
		Internet: 	SMITH.PG@applelink.apple.com
		
		"SimpliFace" Sample code to accompany develop article
		on techniques for embedding scripts in applications.

*/

#include "SysTypes.r"
#include "Types.r"

#include "ApplicationCommon.h"

resource 'STR#' (kApplicationErrStrings, purgeable) {
	{
	"You must run on 512Ke or later";
	"Application Memory Size is too small";
	"AppleScript 1.1 is required"
	}
};


/* this ALRT and DITL are used as an error screen */
resource 'ALRT' (rUserAlert, purgeable) {
	{40, 20, 180, 330},
	rUserAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (rUserAlert, purgeable) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{110, 220, 130, 300},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 90, 300},
		StaticText {
			disabled,
			"Error. ^0."
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};

